aboutsummaryrefslogtreecommitdiff
path: root/internal
diff options
context:
space:
mode:
Diffstat (limited to 'internal')
-rw-r--r--internal/icons.zsh5
-rw-r--r--internal/p10k.zsh20
2 files changed, 19 insertions, 6 deletions
diff --git a/internal/icons.zsh b/internal/icons.zsh
index a96b747c..1c1bb0ee 100644
--- a/internal/icons.zsh
+++ b/internal/icons.zsh
@@ -124,6 +124,7 @@ function _p9k_init_icons() {
PERL_ICON 'perl'
NNN_ICON 'nnn'
TIMEWARRIOR_ICON 'tw'
+ NIX_SHELL_ICON 'nix'
)
;;
'awesome-fontconfig')
@@ -235,6 +236,7 @@ function _p9k_init_icons() {
PERL_ICON 'perl'
NNN_ICON 'nnn'
TIMEWARRIOR_ICON 'tw'
+ NIX_SHELL_ICON 'nix'
)
;;
'awesome-mapped-fontconfig')
@@ -350,6 +352,7 @@ function _p9k_init_icons() {
PERL_ICON 'perl'
NNN_ICON 'nnn'
TIMEWARRIOR_ICON 'tw'
+ NIX_SHELL_ICON 'nix'
)
;;
'nerdfont-complete'|'nerdfont-fontconfig')
@@ -462,6 +465,7 @@ function _p9k_init_icons() {
PERL_ICON '\uE769' # 
NNN_ICON 'nnn'
TIMEWARRIOR_ICON '\uF132' # 
+ NIX_SHELL_ICON '\uF313' # 
)
;;
*)
@@ -573,6 +577,7 @@ function _p9k_init_icons() {
PERL_ICON 'perl'
NNN_ICON 'nnn'
TIMEWARRIOR_ICON 'tw'
+ NIX_SHELL_ICON 'nix'
)
;;
esac
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index a2c3f756..da3cda57 100644
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -4234,9 +4234,7 @@ _p9k_prompt_nordvpn_init() {
}
function prompt_ranger() {
- local -i len=$#_p9k__prompt
_p9k_prompt_segment $0 $_p9k_color1 yellow RANGER_ICON 0 '' $RANGER_LEVEL
- typeset -g "_p9k__segment_val_${_p9k_prompt_side}[_p9k_segment_index]"=$_p9k__prompt[len+1,-1]
}
_p9k_prompt_ranger_init() {
@@ -4262,9 +4260,7 @@ function instant_prompt_midnight_commander() {
}
function prompt_nnn() {
- local -i len=$#_p9k__prompt
_p9k_prompt_segment $0 6 $_p9k_color1 NNN_ICON 0 '' $NNNLVL
- typeset -g "_p9k__segment_val_${_p9k_prompt_side}[_p9k_segment_index]"=$_p9k__prompt[len+1,-1]
}
_p9k_prompt_nnn_init() {
@@ -4289,6 +4285,18 @@ function instant_prompt_vim_shell() {
_p9k_prompt_segment prompt_vim_shell green $_p9k_color1 VIM_ICON 0 '$VIMRUNTIME' ''
}
+function prompt_nix_shell() {
+ _p9k_prompt_segment $0 4 $_p9k_color1 NIX_SHELL_ICON 0 '' "${(M)IN_NIX_SHELL:#(pure|impure)}"
+}
+
+_p9k_prompt_nix_shell_init() {
+ typeset -g "_p9k__segment_cond_${_p9k_prompt_side}[_p9k_segment_index]"='${IN_NIX_SHELL:#0}'
+}
+
+function instant_prompt_nix_shell() {
+ _p9k_prompt_segment prompt_nix_shell 4 $_p9k_color1 NIX_SHELL_ICON 1 '${IN_NIX_SHELL:#0}' '${(M)IN_NIX_SHELL:#(pure|impure)}'
+}
+
function prompt_terraform() {
local ws=default
if [[ -n $TF_WORKSPACE ]]; then
@@ -4948,7 +4956,7 @@ _p9k_dump_instant_prompt() {
echo -n >$tmp || return
fi
- { print -rn -- entry=$'\x1e'$_p9k__instant_prompt_sig$'\x1f'${(pj:\x1f:)_p9k_t}$'\x1f'$_p9k_instant_prompt >>$tmp } 2>/dev/null || return
+ { print -rn -- $'\x1e'$_p9k__instant_prompt_sig$'\x1f'${(pj:\x1f:)_p9k_t}$'\x1f'$_p9k_instant_prompt >>$tmp } 2>/dev/null || return
zf_mv -f $tmp $prompt_file 2>/dev/null || return
}
@@ -6441,7 +6449,7 @@ _p9k_must_init() {
[[ $sig == $_p9k__param_sig ]] && return 1
_p9k_deinit
fi
- _p9k__param_pat=$'v30\1'${ZSH_VERSION}$'\1'${ZSH_PATCHLEVEL}$'\1'
+ _p9k__param_pat=$'v31\1'${ZSH_VERSION}$'\1'${ZSH_PATCHLEVEL}$'\1'
_p9k__param_pat+=$'${#parameters[(I)POWERLEVEL9K_*]}\1${(%):-%n%#}\1$GITSTATUS_LOG_LEVEL\1'
_p9k__param_pat+=$'$GITSTATUS_ENABLE_LOGGING\1$GITSTATUS_DAEMON\1$GITSTATUS_NUM_THREADS\1'
_p9k__param_pat+=$'$DEFAULT_USER\1${ZLE_RPROMPT_INDENT:-1}\1$P9K_SSH\1$__p9k_ksh_arrays'